Jack2: Jack::JackNetAdapter Struct Reference

Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackNetAdapter Struct Reference

Net adapter. More...

`#include <JackNetAdapter.h>`

Inheritance diagram for Jack::JackNetAdapter:

## Public Member Functions
| JackNetAdapter (jack_client_t *jack_client, jack_nframes_t buffer_size, jack_nframes_t sample_rate, const JSList *params)
int | Open ()
int | Close ()
int | SetBufferSize (jack_nframes_t buffer_size)
bool | Init ()
bool | Execute ()
int | Read ()
int | Write ()
int | Process ()
| JackNetAdapter (int input, int output, jack_nframes_t host_buffer_size, jack_nframes_t host_sample_rate, jack_nframes_t adapted_buffer_size, jack_nframes_t adapted_sample_rate)
void | Create ()
void | Flush ()
Public Member Functions inherited from Jack::JackAudioAdapterInterface
| JackAudioAdapterInterface (jack_nframes_t buffer_size, jack_nframes_t sample_rate, jack_nframes_t ring_buffer_size=DEFAULT_ADAPTATIVE_SIZE)
| JackAudioAdapterInterface (jack_nframes_t host_buffer_size, jack_nframes_t host_sample_rate, jack_nframes_t adapted_buffer_size, jack_nframes_t adapted_sample_rate, jack_nframes_t ring_buffer_size=DEFAULT_ADAPTATIVE_SIZE)
virtual void | Reset ()
virtual void | Destroy ()
virtual int | SetHostBufferSize (jack_nframes_t buffer_size)
virtual int | SetAdaptedBufferSize (jack_nframes_t buffer_size)
virtual int | SetHostSampleRate (jack_nframes_t sample_rate)
virtual int | SetAdaptedSampleRate (jack_nframes_t sample_rate)
virtual int | SetSampleRate (jack_nframes_t sample_rate)
void | SetInputs (int inputs)
void | SetOutputs (int outputs)
int | GetInputs ()
int | GetOutputs ()
virtual int | GetInputLatency (int port_index)
virtual int | GetOutputLatency (int port_index)
int | PushAndPull (jack_default_audio_sample_t **inputBuffer, jack_default_audio_sample_t **outputBuffer, unsigned int frames)
int | PullAndPush (jack_default_audio_sample_t **inputBuffer, jack_default_audio_sample_t **outputBuffer, unsigned int frames)
Public Member Functions inherited from Jack::JackNetSlaveInterface
| JackNetSlaveInterface (const char *ip, int port)
Public Member Functions inherited from Jack::JackNetInterface
| JackNetInterface (const char *multicast_ip, int port)
| JackNetInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackAudioAdapterInterface
void | ResetRingBuffers ()
void | AdaptRingBufferSize ()
void | GrowRingBufferSize ()
Protected Member Functions inherited from Jack::JackNetSlaveInterface
bool | Init ()
bool | InitConnection (int time_out_sec)
bool | InitRendering ()
net_status_t | SendAvailableToMaster (int count=INT_MAX)
net_status_t | SendStartToMaster ()
bool | SetParams ()
int | SyncRecv ()
int | SyncSend ()
int | DataRecv ()
int | DataSend ()
void | EncodeSyncPacket (int frames=-1)
void | DecodeSyncPacket (int &frames)
int | Recv (size_t size, int flags)
int | Send (size_t size, int flags)
void | FatalRecvError ()
void | FatalSendError ()
void | InitAPI ()
Protected Member Functions inherited from Jack::JackNetInterface
void | Initialize ()
int | SetNetBufferSize ()
void | FreeNetworkBuffers ()
int | MidiSend (NetMidiBuffer *buffer, int midi_channnels, int audio_channels)
int | AudioSend (NetAudioBuffer *buffer, int audio_channels)
int | MidiRecv (packet_header_t *rx_head, NetMidiBuffer *buffer, uint &recvd_midi_pckt)
int | AudioRecv (packet_header_t *rx_head, NetAudioBuffer *buffer)
int | FinishRecv (NetAudioBuffer *buffer)
void | SetRcvTimeOut ()
void | SetPacketTimeOut (int time_out)
NetAudioBuffer * | AudioBufferFactory (int nports, char *buffer)
Protected Attributes inherited from Jack::JackAudioAdapterInterface
int | fCaptureChannels
int | fPlaybackChannels
jack_nframes_t | fHostBufferSize
jack_nframes_t | fHostSampleRate
jack_nframes_t | fAdaptedBufferSize
jack_nframes_t | fAdaptedSampleRate
JackPIControler | fPIControler
JackResampler ** | fCaptureRingBuffer
JackResampler ** | fPlaybackRingBuffer
unsigned int | fQuality
unsigned int | fRingbufferCurSize
jack_time_t | fPullAndPushTime
bool | fRunning
bool | fAdaptative
Protected Attributes inherited from Jack::JackNetInterface
bool | fSetTimeOut
int | fPacketTimeOut
session_params_t | fParams
JackNetSocket | fSocket
char | fMulticastIP [32]
packet_header_t | fTxHeader
packet_header_t | fRxHeader
net_transport_data_t | fSendTransportData
net_transport_data_t | fReturnTransportData
char * | fTxBuffer
char * | fRxBuffer
char * | fTxData
char * | fRxData
NetMidiBuffer * | fNetMidiCaptureBuffer
NetMidiBuffer * | fNetMidiPlaybackBuffer
NetAudioBuffer * | fNetAudioCaptureBuffer
NetAudioBuffer * | fNetAudioPlaybackBuffer
Static Protected Attributes inherited from Jack::JackNetSlaveInterface
static uint | fSlaveCounter = 0

## Detailed Description

Net adapter.

Definition at line 33 of file JackNetAdapter.h.

## Member Function Documentation

## ◆ Init()

bool Jack::JackNetAdapter::Init | ( |  | ) |
| virtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

Definition at line 210 of file JackNetAdapter.cpp.

The documentation for this struct was generated from the following files:

- JackNetAdapter.h
- JackNetAPI.cpp
- JackNetAdapter.cpp